NextSDS Docs

Download SDS PDF

Download the original uploaded SDS PDF file.

GET
/sds/{sdsId}/download

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.

In: header

Path Parameters

sdsId*string

SDS document UUID

Formatuuid

Response Body

application/pdf

application/json

application/json

curl -X GET "https://api.nextsds.com/v1/sds/497f6eca-6276-4993-bfeb-53cbbbba6f08/download"
"string"
{
  "type": "https://api.nextsds.com/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing X-API-Key header"
}
{
  "type": "https://api.nextsds.com/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "The requested resource was not found"
}